import { defineNuxtModule, createResolver, addPlugin } from "@nuxt/kit";
const nuxtModule = defineNuxtModule({
  meta: {
    name: "vue-debug-queryparam",
    configKey: "vue-debug-queryparam",
    compatibility: {
      nuxt: "^3.0.0-rc.12"
    }
  },
  setup(options, nuxt) {
    const { resolve } = createResolver(import.meta.url);
    nuxt.options.build.transpile.push(resolve("./runtime"));
    addPlugin(resolve("./runtime/nuxt-plugin"));
    nuxt.options.css.push("vue-debug-queryparam/style.css");
  }
});
export {
  nuxtModule as default
};
